#! /bin/bash
#create launcher
#author - wizard on the Puppy Linux Forum

yad --title="Launcher Help" \
    --button="OK" \
    --text="A launcher allows you to put custom icons in
directories that run applications

The Open Icon Dir button takes you to
the included icons for VIEWING only
You can find an icon, then use the directory
icon in the Icon field to select it by name.

The Command field is the program you want the
icon to run."
 
#get values from user
values=( $(yad --form --width=250 --title="Create Launcher" --separator=' ' \
--text="Icon and Command entries must include path" \
--button=Cancel:0 \
--button=Apply:2 \
--button="Open Icon Dir (for viewing only)":"spacefm /usr/share/pixmaps" \
--field="Icon, include path":SFL /usr/share/pixmaps \
--field="Name" \
--field="Comment" \
--field="Command, include path":SFL \
--field="Location for launcher":DIR \ ))

ret=$?

#run if Apply chosen
if [ $ret == 2 ]; then
    icon="${values[0]}"
    name="${values[1]}"
    comment="${values[2]}"
    exec="${values[3]}"
    location="${values[4]}"
 
 echo $location/$name.desktop
    
echo "[Desktop Entry]" > $location/$name.desktop
echo "Encoding=UTF-8" >> $location/$name.desktop
echo "Type=launcher" >> $location/$name.desktop
echo "Name=$name" >> $location/$name.desktop  
echo "Comment=$comment" >> $location/$name.desktop
echo "Icon=$icon" >> $location/$name.desktop
echo "Exec=$exec" >> $location/$name.desktop

fi


exit
